<?php

use Illuminate\Database\Seeder;

class IncidentpkgTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('incidentpkgs')->insert([
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/incidentpkg/incidentpkg',
                'name'        => 'Incidentpkgs',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/incidentpkgs',
                'name'        => 'Incidentpkgs',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'incidentpkgs',
                'name'        => 'Incidentpkgs',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

        ]);


        DB::table('permissions')->insert([
            [
                'slug'      => 'incidentpkgs.incidentpkg.view',
                'name'      => 'View Incidentpkg',
            ],
            [
                'slug'      => 'incidentpkgs.incidentpkg.create',
                'name'      => 'Create Incidentpkg',
            ],
            [
                'slug'      => 'incidentpkgs.incidentpkg.edit',
                'name'      => 'Update Incidentpkg',
            ],
            [
                'slug'      => 'incidentpkgs.incidentpkg.delete',
                'name'      => 'Delete Incidentpkg',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'incidentpkgs.incidentpkg.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
