<?php

namespace Assetdocs\Incidentpkgs\Repositories\Eloquent;

use Assetdocs\Incidentpkgs\Interfaces\IncidentpkgRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class IncidentpkgRepository extends BaseRepository implements IncidentpkgRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.incidentpkgs.incidentpkg.search');
        return config('package.incidentpkgs.incidentpkg.model');
    }
}
