<?php

namespace Assetdocs\Incidentpkgs\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class IncidentpkgItemTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Incidentpkgs\Models\Incidentpkg $incidentpkg)
    {
        return [
            'id'                => $incidentpkg->getRouteKey(),
            'id'                => $incidentpkg->id,
            'division_id'       => $incidentpkg->division_id,
            'asset_id'          => $incidentpkg->asset_id,
            'damagepercentage'  => $incidentpkg->damagepercentage,
            'damagedetails'     => $incidentpkg->damagedetails,
            'status'            => $incidentpkg->status,
            'statusdate'        => $incidentpkg->statusdate,
            'employee_id'       => $incidentpkg->employee_id,
            'externalname'      => $incidentpkg->externalname,
            'externalmobile'    => $incidentpkg->externalmobile,
            'usedby_id'         => $incidentpkg->usedby_id,
            'custodian_id'      => $incidentpkg->custodian_id,
            'asset_type'        => $incidentpkg->asset_type,
            'action'            => $incidentpkg->action,
            'slug'              => $incidentpkg->slug,
            'user_id'           => $incidentpkg->user_id,
            'user_type'         => $incidentpkg->user_type,
            'created_at'        => $incidentpkg->created_at,
            'updated_at'        => $incidentpkg->updated_at,
            'deleted_at'        => $incidentpkg->deleted_at,
        ];
    }
}